Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 80065

Summary: gnome-terminal eats memory until it crashes
Product: [Retired] Red Hat Linux Reporter: Gerhard Horak <gerhard.horak>
Component: vteAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 8.0CC: louis
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-09 18:28:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Gerhard Horak 2002-12-19 14:15:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I have several gnome-terminal open on different desktops. After several hours of
working all terminal instances disappear suddenly and the machine becomes
unusable due to heavy disk activity for several minutes.
The last time this occurred the gnome-terminal had a memory usage pattern of
1.5GByte (YES, Giga, machine has 512MB memory, 1.25GB swap) and it took me half
an hour to shutdown the machine because it ran out of memory and was swapping
continously.


Version-Release number of selected component (if applicable):
Version is 2.0.1-5 out of the 8.0 Linux package

How reproducible:
Always

Steps to Reproduce:
1.open only one gnome-terminal on an otherwise quiet machine
2.in this terminal window call the tool 'top'
3.observe in the output of top how the memory usage of gnome-terminal increases
after each screen refresh
    

Actual Results:  memory usage of gnome-terminal increases continously

Expected Results:  memory usage should not increase at all or only increase up
to a certain limit

Additional info:

Comment 1 Havoc Pennington 2002-12-19 15:17:39 UTC
If you run "xdpyinfo | grep RENDER" is there any output?

If not this is probably a duplicate report of the Xft memory leak on 
non-RENDER X servers, there's an original bug filed against Xft.

Comment 2 Gerhard Horak 2003-01-08 09:51:25 UTC
Sorry for the delay but I was on Christmas holidays.

"xdpyinfo | grep RENDER" outputs RENDER, it is listed as one of the 29 
extensions.

As I already stated this is a standard installation from the 8.0 CD-ROM set 
with all available security fixes applied.

Comment 3 Louis van Dyk 2003-01-22 16:25:55 UTC
Hi

I'm having EXACTLY the same problem. I also have a P4 2GHz processor, but 256 MB
RAM.  I've also installed RH 8.0 off the CD's and have updated all the available
patches from the RH Network.  My version of gnome-terminal is also 2.0.1-5.

After running with a few gnome-terminals open -- for an indeterminate time
period -- I'll notice that the memory utilisation has gone full, the swap file
is reaching full, and suddenly the disk begins to spin.  It keeps going until
gnome-terminal crashes.  Then all the memory is released.  The PC locks up
completely -- NUM LOCK won't toggle, I cannot telnet in or SSH in, although I
can ping it.

Once I was able to kill the only gnome-terminal session I had open as it started
this nonsense.  I shut down the GUI and on my console screen had the following
error repeated over and over:

(gnome-terminal:2428): Gtk-CRITICAL **: file gtkwidget.c: line 2933
(gtk_widget_event): assertion 'WIDGET_REALIZED_FOR_EVENT (widget, event)' failed.

Please keep me posted.

Regards
Louis

Comment 4 Ray Strode [halfline] 2004-11-09 18:28:49 UTC
Given the severe symptoms of this bug and the lack of activity on this
bug, it seems likely this bug has been fixed by now.  I'm going to
close it, but if it occurs in FC3 or a recent version of
vte/gnome-terminal, please feel free to reopen.